Page MenuHomePhabricator

Create Phab project for wikimedia/assert library
Closed, ResolvedPublic

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptApr 27 2020, 6:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 moved this task from Unsorted to Others on the User-DannyS712 board.
DannyS712 added subscribers: daniel, Daimona, cscott.

Makes sense to me; however wondering who are stewards of that extension (if existing) and what they think (as it touches their workflow)

Makes sense to me; however wondering who are stewards of that extension (if existing) and what they think (as it touches their workflow)

I think the closest related tag is current MediaWiki-Vendor, tagging for visibility

DannyS712 updated the task description. (Show Details)Nov 16 2020, 7:45 PM

Yes, having a proper project for this would be nice to match the other PHP libraries. I don't think there's a real maintainer, maybe @daniel as the primary author, it's just collectively maintained by MediaWiki core devs.

Krinkle renamed this task from Create component for `Assert` library to Create Phab project for wikimedia/assert library.Nov 16 2020, 8:51 PM
Jdforrester-WMF closed this task as Resolved.Nov 17 2020, 7:56 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Works for me. Created as MediaWiki-libs-Assert and have moved the three open tasks into it.